package GuitarKey.Gui;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Image;
import java.util.logging.Logger;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JPanel;

// Class displays the splash screen
public class SplashScreen extends JFrame
{
	// Logger
	private static Logger logger = Logger.getLogger("GuitarKey");

	/**
	 * Constructor
	 */
	public SplashScreen()
	{
		logger.info("Creating SplashScreen");

		SplashPanel splashPanel = new SplashPanel();
		splashPanel.setBounds(0, 0, 400, 300);
		splashPanel.setLayout(null);

		setUndecorated(true);
		setResizable(false);
		setContentPane(splashPanel);
		pack();
		setSize(400, 300);
		setVisible(true);
		setAlwaysOnTop(true);
	}
}

/**
* This class controls the setup for the main panel
*/
class SplashPanel extends JPanel
{
	Image backgroundImg;
	private String author = "Devon Bryant, Sergio Bello";
	private String version = "v 1.3";
	private String dist = "Distributed under the GNU General Public Liscense (GPL)";

	public SplashPanel()
	{
		backgroundImg = new ImageIcon(getClass().getClassLoader().getResource("img/splash.png")).getImage();
	}

	public void paintComponent(Graphics g)
	{
		if (backgroundImg != null)
	    {
	        g.drawImage(backgroundImg,0,0,this);
	        g.setColor(Color.LIGHT_GRAY);
	        g.drawString(author, 10, 285);
	        g.drawString(version, 360, 285);
	        g.drawString(dist, 40, 235);
	    }
	}
}
