package GuitarKey;

import java.awt.Dimension;
import java.awt.Toolkit;
import java.io.IOException;
import java.util.logging.FileHandler;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;

import GuitarKey.Gui.GuitarKeyFrame;
import GuitarKey.Gui.SplashScreen;

/**
 * GuitarScaleAssistant application
 *
 * @author Devon Bryant 
 * @author Sergio Bello 
 * @version 1.3 08/06/21
 */
public class GuitarKey 
{
    // Logger
	private static Logger logger = Logger.getLogger("GuitarKey");
    
    public static void main(String[] args)
    {
    	// Setup the application logger
    	try
     	{
     		FileHandler fh = new FileHandler("info.log");
     		logger.addHandler(fh);
     		fh.setFormatter(new SimpleFormatter());
     		logger.info("Logging started");
     	}
     	catch (IOException ioex)
     	{
     		logger.log(Level.SEVERE, "Can't find log file", ioex);
     	}
     	
     	Toolkit tk = Toolkit.getDefaultToolkit();
     	Dimension screenSize = tk.getScreenSize();
        int screenWidth = (screenSize.width - 798) / 2;
     	
     	// Splash screen
     	SplashScreen splash = new SplashScreen();
     	splash.setLocation(screenWidth + 200, 150);
     	
        // Create application frame.
        GuitarKeyFrame frame = new GuitarKeyFrame();
        
        // Dispose of splash
        splash.dispose();
        
    }
}
