package GuitarKey.Utils;

/**
 * Holds a note x,y location
 */
public class Note
{
	private int xLoc = 0;
	private int yLoc = 0;

	private boolean root = false;
	private boolean available = true;

	public static final int NOTE_OFFSET = 6; // half of note image width/height

	private boolean selected = false;

	/**
	 * constructor
	 */
	public Note(int x, int y)
	{
		this.xLoc = x - NOTE_OFFSET;
		this.yLoc = y - NOTE_OFFSET;

		if (x == 0 && y == 0)
		{
			available = false;
		}
	}

	/**
	 * Method returns the x location of the note
	 */
	public int getX()
	{
		return xLoc;
	}

	/**
	 * Method returns the y location of the note
	 */
	public int getY()
	{
		return yLoc;
	}

	/**
	 * Set flag that note is a root note
	 */
	public void setRoot(boolean inRoot)
	{
		root = inRoot;
	}

	/**
	 * Method gets if note is a root
	 */
	public boolean isRoot()
	{
		return root;
	}

	/**
	 * Set flag that note is selected
	 */
	public void setSelected(boolean inSelected)
	{
		selected = inSelected;
	}

	/**
	 * Method gets if note is selected
	 */
	public boolean isSelected()
	{
		return selected;
	}

	/**
	 * Method returns if note is available (i.e. on fretboard)
	 */
	public boolean isAvailable()
	{
		return available;
	}
}
